# Barry::Sync::vCard Class Reference

`#include <vcard.h>`

Inheritance diagram for Barry::Sync::vCard:

[legend]
Collaboration diagram for Barry::Sync::vCard:

[legend]

List of all members.

## Detailed Description

Class for converting between RFC 2425/2426 vCard data format, and the Barry::Contact class.

Definition at line 39 of file vcard.h.

## Protected Member Functions

void | AddPhoneCond (const std::string &phone)
| Add phone conditionally, only if phone has data in it.
void | AddPhoneCond (const char *rfc_type, const std::string &phone)
| Add phone conditionally, only if phone has data in it.

## Member Function Documentation

void Barry::Sync::vCard::AddPhoneCond | ( | const std::string & | phone | ) | `[protected]`

Add phone conditionally, only if phone has data in it.

This version does not add a TYPE parameter to the item.

Definition at line 97 of file vcard.cc.

void Barry::Sync::vCard::AddPhoneCond | ( | const char * | rfc_type,
|  | const std::string & | phone |
| ) |  |  | `[protected]`

Add phone conditionally, only if phone has data in it.

Definition at line 106 of file vcard.cc.

The documentation for this class was generated from the following files:

- vcard.h
- vcard.cc